|  | Home · All Classes · Modules

# QHelpSearchQueryWidget Class Reference
[QtHelp module]

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

Inherits QWidget.

### Methods

- __init__ (self, QWidget parent = None)
- collapseExtendedSearch (self)
- expandExtendedSearch (self)
- list-of-QHelpSearchQuery query (self)
- setQuery (self, list-of-QHelpSearchQuery queryList)

### Qt Signals

- void search ()

## Detailed Description

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask.

## Method Documentation

### QHelpSearchQueryWidget.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new search query widget with the given parent.

### QHelpSearchQueryWidget.collapseExtendedSearch (self)

Collapses the search query widget so that only the default search field is shown.

This function was introduced in Qt 4.8.

### QHelpSearchQueryWidget.expandExtendedSearch (self)

Expands the search query widget so that the extended search fields are shown.

This function was introduced in Qt 4.8.

### list-of-QHelpSearchQuery QHelpSearchQueryWidget.query (self)

Returns a list of queries to use in combination with the search engines search(QList<QHelpSearchQuery> &queryList) function.

See also setQuery().

### QHelpSearchQueryWidget.setQuery (self, list-of-QHelpSearchQuery queryList)

Sets the QHelpSearchQueryWidget input fields to the values specified by queryList search field name. Please note that one has to call the search engine's search(QList<QHelpSearchQuery> &queryList) function to perform the actual search.

This function was introduced in Qt 4.8.

See also query().

## Qt Signal Documentation

### void search ()

This is the default overload of this signal.

This signal is emitted when a the user has the search button invoked. After reciving the signal you can ask the QHelpSearchQueryWidget for the build list of QHelpSearchQuery's that you may pass to the QHelpSearchEngine's search() function.